package com.iamberry.wechat.service.mapper;

import java.util.List;

import com.iamberry.wechat.core.entity.lease.LeaseOrder;
import com.iamberry.wechat.core.entity.rent.RentApply;

public interface LeaseOrderMapper {

	/**
	 * 保存租用订单详情
	 * @param leaseOrder
	 * @return
	 */
	public Integer saveLeaseOrder(LeaseOrder leaseOrder);
	
	/**
	 * 支付完成后修改状态和激活码
	 * @param leaseOrder
	 * @return
	 */
	public Integer updateLeaseOrderInfo(LeaseOrder leaseOrder);
	
	/**
	 *  查询租用订单详情
	 * @param orderId
	 * @return
	 */
	public List<LeaseOrder> selectLeaseOrderInfo(String openId);
	
	
	/**
	 * 修改订单状态（退款）
	 * @param leaseOrder
	 * @return
	 */
	public Integer updateLeaseOrderStatus(LeaseOrder leaseOrder);
	
	
	/**
	 * 根据orderId查询租金和电话
	 * @param orderId
	 * @return
	 */
	public LeaseOrder selectDepositByOrderId(String orderId);
	
	/**
	 * 添加申请记录
	 * @param apply
	 * @return
	 * @author 献
	 * @Time   2017年3月16日
	 */
	Integer addApply(RentApply apply);
	
	/**
	 * 修改申请记录为已支付
	 * @param applyId
	 * @return
	 * @author 献
	 * @Time   2017年3月16日
	 */
	Integer updateApply(RentApply apply);
}
